using System;
namespace Takmicenje_prvi_zadatak
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] values = s.Split(' ');
            int a = int.Parse(values[0]);
            int b = int.Parse(values[1]);
            string g = Console.ReadLine();
            string[] golovi = g.Split(' ');
            int x = int.Parse(golovi[0]);
            int y = int.Parse(golovi[1]);
            if (a == x && b == y)
            {
                Console.WriteLine("nijedan");
            }
            else if(a - x >=1 && b-y >=1)
            {
                Console.WriteLine("?");
            }
            else if(a != x && b == y)
            {
                Console.WriteLine("prvi");
            }
            else
            {
                Console.WriteLine("drugi");
            }
        }
    }
}